/* helper class start */
.rtl {
    direction: rtl !important;
}

.ltr {
    direction: ltr !important;
    text-align: left !important;
}


/* helper class end */

/* side navbar css over write start */
.sidebar.sidebar-style-2[data-background-color="dark2"]
    .nav
    .nav-item.selected
    > a,
.sidebar.sidebar-style-2[data-background-color="dark"]
    .nav
    .nav-item.selected
    > a {
    color: #fff;
    font-weight: 700;
}

.sidebar.sidebar-style-2 .nav .nav-item .selected > a {
    background: rgba(199, 199, 199, 0.2);
}

/* side navbar css over write end */

/* bootstrap modal customize start */
body[data-background-color="dark"] .modal-content {
    background: #202940;
}

body[data-background-color="dark"] .modal-header {
    border-bottom: 1px solid rgba(181, 181, 181, 0.1) !important;
}

body[data-background-color="dark"] .modal-content .close {
    color: #fff;
}

body[data-background-color="dark"]
    .modal-content
    .close:not(:disabled):not(.disabled):focus,
body[data-background-color="dark"]
    .modal-content
    .close:not(:disabled):not(.disabled):hover {
    color: #fff;
}

body[data-background-color="dark"] .modal-footer {
    border-top: 1px solid rgba(181, 181, 181, 0.1) !important;
}

/* bootstrap modal customize end */

/* bootstrap form control customize start */
body[data-background-color="dark"] .form-control[readonly] {
    background-color: #1a2035 !important;
    border-color: #2f374b !important;
}

body[data-background-color="dark"] .form-control[disabled] {
    background-color: #1a2035 !important;
    border-color: #2f374b !important;
}

/* bootstrap form control customize start */

/* bootstrap image thumbnail customize start */
.img-thumbnail {
    max-width: 350px;
}

/* bootstrap image thumbnail customize end */

/* image table preview for dropzone edit form start */
#img-table .slider-img-view {
    display: inline-block;
    position: relative;
    margin-right: 15px;
    margin-bottom: 10px;
}

#img-table .slider-img-view button {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0px 5px;
}

#img-table .slider-img-view td {
    padding: 0px !important;
}

.dropzone:hover {
    background: transparent !important;
}

/* image table preview for dropzone edit form end */

/* iconpicker input field start */
.iconpicker-popover.popover
    .popover-title
    input[type="search"].iconpicker-search {
    direction: ltr !important;
}

/* iconpicker input field end */

/* request loader css start */
.request-loader {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #0000007a;
    z-index: 10000;
    display: none;
}

.request-loader img {
    position: fixed;
    display: none;
    width: 80px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.request-loader.show {
    display: block;
}

.request-loader.show img {
    display: block;
}

/* request loader css end */

/* summernote css start */
.note-editing-area p {
    margin: 0;
}

body[data-background-color="dark"]
    .note-editor.note-frame
    .note-btn.note-image-btn,
body[data-background-color="dark"]
    .note-editor.note-frame
    .note-btn.note-video-btn,
body[data-background-color="dark"]
    .note-editor.note-frame
    .note-btn.note-link-btn {
    border: 1px solid #31ce36 !important;
    background: #31ce36 !important;
}

.form-group.note-group-image-url {
    display: none;
}

.modal.note-modal[aria-label="Insert Image"] .modal-footer {
    display: none;
}

body[data-background-color="dark"] label.note-form-label {
    color: #fff !important;
}

body[data-background-color="dark"] .note-modal label.form-check-label {
    color: #fff !important;
}

body[data-background-color="dark"] .note-modal h4.modal-title {
    color: #ffffff9a;
}

.sn-checkbox-open-in-new-window.form-check [type="checkbox"]:checked,
.sn-checkbox-open-in-new-window.form-check [type="checkbox"]:not(:checked) {
    left: 30px;
}

.form-check.sn-checkbox-open-in-new-window {
    padding-left: 30px;
}

.sn-checkbox-use-protocol.form-check [type="checkbox"]:checked,
.sn-checkbox-use-protocol.form-check [type="checkbox"]:not(:checked) {
    left: 30px;
}

.form-check.sn-checkbox-use-protocol {
    padding-left: 30px;
}

.form-check.sn-checkbox-use-protocol {
    display: none;
}

.sn-checkbox-open-in-new-window.form-check {
    display: none;
}

/* summernote css end */

/* summernote rtl css start */
.note-editor.note-frame .note-editing-area .note-editable.rtl {
    text-align: right !important;
}

/* summernote rtl css end */

.list-group .list-group-item {
    display: block;
}

#myEditor li.list-group-item {
    cursor: move;
    border-left-width: 1px;
    border-right-width: 1px;
}

body[data-background-color="dark"] .custom-file-label::after {
    color: #fff;
    background-color: #1a2035;
    border-left: 1px solid #2f374b;
}

body[data-background-color="dark"] label.custom-file-label {
    background-color: #1a2035;
    border: 1px solid #2f374b;
}

.messages-container {
    max-height: 600px;
    overflow-y: scroll;
}

.dropdown-menu button.deleteBtn {
    border: none;
    background: transparent;
    font-size: 13px;
    padding: 0.25rem 1.5rem;
    color: #212529;
    cursor: pointer;
    display: block;
    width: 100%;
    text-align: left;
}

.dropdown-menu button.deleteBtn:hover {
    color: #16181b;
    text-decoration: none;
    background-color: #f8f9fa;
}

/* GJS Container CSS */
.my-container {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    min-height: 300px;
}

/* Accordion Customize */
.version {
    border: 1px solid #0000003a;
    margin-bottom: 20px;
}

.version-header button[aria-expanded="true"] {
    background-color: #6861ce !important;
    color: #fff;
}

body[data-background-color="dark"] .version-header button {
    color: #fff;
}

.version-header button {
    display: block;
    width: 100%;
    text-align: left;
    font-size: 18px;
    font-weight: 600;
    text-transform: capitalize;
    text-align: left;
    padding: 20px 30px;
}

body[data-background-color="dark"] .version-header button:hover {
    color: #fff;
}

.version-header button:hover {
    text-decoration: none !important;
}

.version-header button:focus {
    text-decoration: none !important;
}

.version-header button i {
    margin-right: 10px;
}

.version-body .list-group button {
    color: #fff;
    padding-left: 60px;
    font-size: 16px;
    position: relative;
}

.version-body .list-group button::before {
    content: "\f101";
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    margin-right: 10px;
}

.version-body .list-group button a {
    border-radius: 50px;
    float: right;
    margin-right: 30px;
}

.version-body .list-group button a.activated {
    cursor: auto;
    background-color: #31ce36 !important;
    border: 1px solid #31ce36 !important;
}

/* Jquery Timepicker */
.ui-timepicker-container.ui-timepicker-no-scrollbar.ui-timepicker-standard {
    position: absolute;
    transform: translateY(0px);
    max-height: 230px;
    overflow-y: scroll;
    max-width: 160px;
    overflow-x: hidden;
    -webkit-transform: translateY(0px);
    -moz-transform: translateY(0px);
    -ms-transform: translateY(0px);
    -o-transform: translateY(0px);
    z-index: 10000 !important;
}

@media (min-width: 768px) {
    .my-container {
        width: 750px;
    }
}

@media (min-width: 992px) {
    .my-container {
        width: 970px;
    }
}

@media (min-width: 1200px) {
    .my-container {
        width: 1170px;
    }
}

body[data-background-color="dark"] th,
body[data-background-color="dark"] td {
    color: #fff;
}

.datepicker-days th,
.datepicker-days td {
    color: #212529 !important;
}

.datepicker-days th.active,
.datepicker-days td.active {
    color: #fff !important;
}

/* Laravel File-Manager CSS */
.lfm-modal {
    width: 100%;
}

.lfm-modal .modal-dialog {
    position: absolute !important;
    top: 50px !important;
    left: 50px !important;
    right: 50px !important;
    bottom: 50px !important;
    max-width: 100%;
    margin: 0;
    min-height: auto;
}

.lfm-modal iframe,
.lfm-modal .modal-content {
    height: 100% !important;
    width: 100% !important;
}

.thumb-preview {
    background: #f1f1f1;
    display: inline-block;
    padding: 5px;
    border-radius: 8px;
    max-width: 300px;
}

.thumb-preview img {
    max-width: 100%;
}

#uploadForm > .dz-default.dz-message {
    padding: 6rem 0 !important;
}

.lfm-modal i.fas.fa-times-circle {
    position: absolute;
    right: 30px;
    top: 29px;
    font-size: 24px;
    color: #ff3737;
    background-color: #fff;
    z-index: 100;
    display: inline-block;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    border: none;
    cursor: pointer;
    outline: 0;
}

.slider-thumbs .thumb-preview {
    max-width: 150px;
    position: relative;
}

.slider-thumbs .thumb-preview i.fa-times-circle {
    position: absolute;
    top: -4px;
    right: -6px;
    color: #ff3737;
    background: #fff;
    border-radius: 50%;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

.seperate-file-manager iframe {
    height: 900px;
    width: 100%;
    border: 0;
}

@media only screen and (max-width: 1400px) {
    .seperate-file-manager iframe {
        height: 590px;
    }
}

/* Laravel File Manager CSS */
.lfm-modal {
    width: 100%;
}

.lfm-modal .modal-dialog {
    position: absolute !important;
    top: 50px !important;
    left: 50px !important;
    right: 50px !important;
    bottom: 50px !important;
    max-width: 100%;
    margin: 0;
    min-height: auto;
}

.lfm-modal iframe,
.lfm-modal .modal-content {
    height: 100% !important;
    width: 100% !important;
}

.thumb-preview {
    background: #f1f1f1;
    display: inline-block;
    padding: 5px;
    border-radius: 8px;
    max-width: 300px;
}

.thumb-preview img {
    max-width: 100%;
}

#uploadForm > .dz-default.dz-message {
    padding: 6rem 0 !important;
}

.lfm-modal i.fas.fa-times-circle {
    position: absolute;
    right: 30px;
    top: 29px;
    font-size: 24px;
    color: #ff3737;
    background-color: #fff;
    z-index: 100;
    display: inline-block;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    border: none;
    cursor: pointer;
    outline: 0;
}

.slider-thumbs .thumb-preview {
    max-width: 150px;
    position: relative;
}

.slider-thumbs .thumb-preview i.fa-times-circle {
    position: absolute;
    top: -4px;
    right: -6px;
    color: #ff3737;
    background: #fff;
    border-radius: 50%;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

.seperate-file-manager iframe {
    height: 900px;
    width: 100%;
    border: 0;
}

@media only screen and (max-width: 1400px) {
    .seperate-file-manager iframe {
        height: 590px;
    }
}

/* Laravel File Manager CSS */

a.card.card-stats.card-round {
    text-decoration: none;
}

/* Pagination CSS */
.pagination-wrap {
    text-align: center;
}

.pagination-wrap li a {
    height: 40px;
    width: 40px;
    line-height: 40px;
    background-color: #0f172b;
    color: #fff;
    font-size: 16px;
    font-family: "Montserrat", sans-serif;
    font-weight: 600;
    display: block;
    text-align: center;
    border-radius: 50%;
    -webkit-transition: all 400ms ease-out 0s;
    transition: all 400ms ease-out 0s;
}

.pagination-wrap li a:hover {
    background-color: #fea116;
}

.pagination-wrap li.active a {
    background-color: #fea116;
}

.rooms-warp .pagination-wrap {
    text-align: left;
}

.pagination-wrap ul.list-inline {
    display: flex;
    justify-content: center;
    margin-bottom: 0;
}

.pagination-wrap ul.list-inline li a {
    text-decoration: none;
}

/* popup type CSS */
body[data-background-color="dark"] h5.popup-type-title {
    color: #fff;
}

/* mail template CSS */
body[data-background-color="dark"] table.table.bbcodes-table thead th {
    color: #fff;
}

body[data-background-color="dark"] .btn-toggle {
    color: #fff !important;
}

body[data-background-color="dark"] .table-condensed th,
body[data-background-color="dark"] .table-condensed td {
    color: inherit;
}

.daterangepicker .table-condensed td.active,
.daterangepicker .table-condensed td.active:hover {
    color: #fff;
}

.daterangepicker option.disabled,
.daterangepicker td.disabled {
    color: red !important;
}

#date-range {
    cursor: pointer;
}

.form-group .upload-btn {
    position: relative;
    overflow: hidden;
}

.form-group .upload-btn .img-input {
    position: absolute;
    top: 5px;
    left: 10px;
    margin: 0;
    border: solid transparent;
    width: 112px;
    opacity: 0;
}

.daterangepicker option.disabled,
.daterangepicker td.disabled {
    color: #ff3737;
}

/* select2 CSS */
.select2-container--default .select2-selection--single {
    height: 45px;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 42px;
    padding-left: 20px;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow
    b {
    border-color: #fff transparent transparent transparent;
    margin-top: 6px;
}

.select2-container {
    width: 100% !important;
}

.dis-none {
    display: none;
}

.dis-block {
    display: block;
}

.min-width-120 {
    min-width: 120px;
}
.min-width-100 {
    min-width: 100px;
}
.min-width-80 {
    min-width: 80px;
}
.width-150 {
    width: 150px;
}
.width-80 {
    width: 80px;
}

/* image table preview for dropzone edit form start */
#imgtable .trdb {
    display: inline-block;
    position: relative;
    margin-right: 15px;
}

#imgtable .trdb button {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0px 5px;
}

#imgtable .trdb td {
    padding: 0px !important;
}
.text-decoration-none {
    text-decoration: none;
}
.form-group .upload-btn {
    position: relative;
    overflow: hidden;
    font-size: 1rem;
    letter-spacing: .4px;
}

.form-group .upload-btn .img-input,
.form-group .upload-btn .thumbnail-input {
    position: absolute;
    top: 5px;
    left: 10px;
    margin: 0;
    border: solid transparent;
    width: 112px;
    opacity: 0;
}

.width-150 {
    width: 150px;
}
@media only screen and (max-width: 992px) {
    .img-thumbnail {
        max-width: 230px;
    }
    .language_relateBtn{
        display: inline-block !important;
    }
    .language_relateBtn a{
        margin-bottom: 5px;
    }
}

